/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2004.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
package com.ibm.xtools.modeler.ui.pde.examples.properties;

/**
 * An example utility class which stores property tags for ease of access and
 * navigation
 */
public class ExamplePropertiesTable {

	// example property
	public static final Property EXAMPLE_PROPERTY = new Property(
		PropertiesExamplesPlugin.getResourceString("propertyName"), //$NON-NLS-1$
		PropertiesExamplesPlugin.getResourceString("propertyDescription"), //$NON-NLS-1$
		PropertiesExamplesPlugin.getResourceString("defaultValue")); //$NON-NLS-1$

}