package com.ibm.xtools.transform.samples.modeltotext.jet;

import java.util.Map;
import java.util.Iterator;
import com.ibm.xtools.transform.samples.modeltotext.JavaNameTool;
import org.eclipse.uml2.*;

public class FormTemplate
{
  protected final String NL = System.getProperties().getProperty("line.separator");
  protected final String TEXT_1 = "<%@ page language=\"java\" %>" + NL + "<!DOCTYPE HTML PUBLIC \"-//W3C/DTD HTML 4.01 Transitional//EN\">" + NL + "<html>" + NL + "<head>" + NL + "<title>";
  protected final String TEXT_2 = "</title>" + NL + "</head>" + NL + "<body>" + NL + "<h1>";
  protected final String TEXT_3 = "</h1>" + NL + "<form method=\"post\" action=\"/";
  protected final String TEXT_4 = "/";
  protected final String TEXT_5 = "\">" + NL + "  <table>" + NL + "    <tbody>";
  protected final String TEXT_6 = NL + "      <tr>" + NL + "        <td>";
  protected final String TEXT_7 = ":</td>" + NL + "        <td><INPUT type=\"text\" name=\"";
  protected final String TEXT_8 = "\" size=\"20\"></td>" + NL + "      </tr>";
  protected final String TEXT_9 = NL + "    </tbody>" + NL + "  </table>";
  protected final String TEXT_10 = NL + "  <input type=\"submit\" value=\"";
  protected final String TEXT_11 = "\" name=\"";
  protected final String TEXT_12 = "\">";
  protected final String TEXT_13 = NL + "</form>" + NL + "</body>" + NL + "</html>";
  protected final String TEXT_14 = NL;

  public String generate(Object argument)
  {
    StringBuffer stringBuffer = new StringBuffer();
    
// retrieve the context
Map context = (Map)argument;

// these should be in the context, but are not...
String webapp = "simplerolodex";

// extract things from the context
State state = (State)context.get("state");
Stereotype st = state.getAppliedStereotype("ScreenFlow::form");

String fieldsRaw = (String)state.getValue(st,"fields");
String fields[] = JavaNameTool.split(fieldsRaw,",");


    stringBuffer.append(TEXT_1);
    stringBuffer.append( state.getName() );
    stringBuffer.append(TEXT_2);
    stringBuffer.append( state.getName() );
    stringBuffer.append(TEXT_3);
    stringBuffer.append( webapp );
    stringBuffer.append(TEXT_4);
    stringBuffer.append( JavaNameTool.asClass( state.getName() ) + "Handler" );
    stringBuffer.append(TEXT_5);
    
for(int i = 0; i < fields.length; i++ ) {
	String field = fields[i];

    stringBuffer.append(TEXT_6);
    stringBuffer.append( field );
    stringBuffer.append(TEXT_7);
    stringBuffer.append( JavaNameTool.asAttribute(field) );
    stringBuffer.append(TEXT_8);
    
}

    stringBuffer.append(TEXT_9);
    
for(Iterator i=state.getOutgoings().iterator(); i.hasNext(); ) {
	Transition transition = (Transition)i.next();

    stringBuffer.append(TEXT_10);
    stringBuffer.append( transition.getName() );
    stringBuffer.append(TEXT_11);
    stringBuffer.append( JavaNameTool.asAttribute(transition.getName()) );
    stringBuffer.append(TEXT_12);
    
}

    stringBuffer.append(TEXT_13);
    stringBuffer.append(TEXT_14);
    return stringBuffer.toString();
  }
}
